Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
libqxp::QXPDeobfuscator Class Reference

`#include <QXPDeobfuscator.h>`

Inheritance diagram for libqxp::QXPDeobfuscator:

## Public Member Functions
uint16_t | operator() (uint16_t value) const
uint8_t | operator() (uint8_t value) const

## Protected Member Functions
| QXPDeobfuscator (uint16_t seed)

## Protected Attributes
uint16_t | m_seed

## Constructor & Destructor Documentation

## ◆ QXPDeobfuscator()

libqxp::QXPDeobfuscator::QXPDeobfuscator | ( | uint16_t | seed | ) |
| explicit protected

## Member Function Documentation

## ◆ operator()() [1/2]

uint16_t libqxp::QXPDeobfuscator::operator() | ( | uint16_t | value | ) | const

Referenced by operator()().

## ◆ operator()() [2/2]

uint8_t libqxp::QXPDeobfuscator::operator() | ( | uint8_t | value | ) | const

## Member Data Documentation

## ◆ m_seed

uint16_t libqxp::QXPDeobfuscator::m_seed
| protected

Referenced by libqxp::QXP33Deobfuscator::next(), libqxp::QXP4Deobfuscator::next(), libqxp::QXP4Deobfuscator::nextRev(), libqxp::QXP4Deobfuscator::nextShift(), and operator()().

The documentation for this class was generated from the following files:

- QXPDeobfuscator.h
- QXPDeobfuscator.cpp